<?php
  
	$main_menu_array=array();
	$main_menu_array[] =array(
						'slug' => '110001',
						'parent' => 0,
						'title' => 'خانه',
						'url' => home_url( '/' )
					);
					
	$main_menu_array[] =array(
						'slug' => '110002',
						'parent' => 0,
						'title' => 'نوشته ها',
						'url' => '#',
					);
					
							
	$main_menu_array[] =array(
						'slug' => '110003',
						'parent' => 0,
						'title' => 'فروشگاه',
						'url' => home_url( '/' ).'shop',
					);
	$main_menu_array[] = array(
						'slug' => '110004',
						'parent' => 0,
						'title' => 'اخبار',
						'url' =>  home_url( '/' ).'news', 
					);		
					
	
	$main_menu_name  = 'منو در نوار اصلی';
	$main_menu = get_term_by( 'slug', $main_menu_name, 'nav_menu' );
	
	if(empty($main_menu)){
		$main_menu_id = wp_create_nav_menu($main_menu_name);
		$main_menu=array(array(
						'location' => false,
						'name' => $main_menu_name,
						'slug' => 'main-menu',
						'items' =>  $main_menu_array,
						),
					);
				
		bazinewsdemoimport_menu_import_json($main_menu);
		
  
		echo $main_menu_name .' ساخته شد <br>';
 
	}else{
 		echo $main_menu_name .' قبلا وجود داشت <br>';
		
	}
	$locations['bazinews_main_menu'] =  wp_get_nav_menu_object(  'منو در نوار اصلی' )->term_id;
	$locations['bazinews_header_menu'] =  wp_get_nav_menu_object(  'منو در نوار اصلی' )->term_id;
	$locations['bazinews_mobile_menu'] =  wp_get_nav_menu_object(  'منو در نوار اصلی' )->term_id;
